CUDA Driver API (PDF) - v10.1.168 (older) - Last updated April 24, 2019 - Send Feedback

## 6.1. CUDA_ARRAY3D_DESCRIPTOR Struct Reference

## [Data types used by CUDA driver]

3D array descriptor

### Public Variables

size_t Depth
unsigned int Flags
CUarray_format Format
size_t Height
unsigned int NumChannels
size_t Width

### Variables

size_t CUDA_ARRAY3D_DESCRIPTOR::Depth [inherited]

  Depth of 3D array

unsigned int CUDA_ARRAY3D_DESCRIPTOR::Flags [inherited]

  Flags

CUarray_format CUDA_ARRAY3D_DESCRIPTOR::Format [inherited]

  Array format

size_t CUDA_ARRAY3D_DESCRIPTOR::Height [inherited]

  Height of 3D array

unsigned int CUDA_ARRAY3D_DESCRIPTOR::NumChannels [inherited]

  Channels per array element

size_t CUDA_ARRAY3D_DESCRIPTOR::Width [inherited]

  Width of 3D array